Summary:	C++ wrappers for GConf
Summary(pl.UTF-8):	Interfejsy C++ dla GConfa
Name:		gconfmm
Version:	2.28.3
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gconfmm/2.28/%{name}-%{version}.tar.bz2
# Source0-md5:	ebcf96373cb0c71bc4cfad0e6da83779
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.19.1
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.14.1
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
Requires:	GConf2-libs >= 2.19.1
Requires:	glibmm >= 2.14.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for GConf. All classes are in the Gnome::Conf namespace.

%description -l pl.UTF-8
Interfejsy C++ dla GConfa. Wszystkie klasy są w przestrzeni nazw
Gnome::Conf.

%package devel
Summary:	Devel files for gconfmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla gconfmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.19.1
Requires:	glibmm-devel >= 2.14.1

%description devel
Devel files for gconfmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gconfmm.

%package static
Summary:	Static gconfmm library
Summary(pl.UTF-8):	Statyczna biblioteka gconfmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gconfmm library.

%description static -l pl.UTF-8
Statyczna biblioteka gconfmm.

%package apidocs
Summary:	Reference documentation for gconfmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla gconfmm
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Reference documentation for gconfmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja dla gconfmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdocdir=%{_gtkdocdir}/gconfmm-2.6

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgconfmm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgconfmm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgconfmm-2.6.so
%{_libdir}/%{name}-2.6
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgconfmm-2.6.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gconfmm-2.6
%changelog
* Thu Apr 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gconfmm.git;a=log;h=master

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 340b258
- noarch apidocs

* Sat Oct 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 10d5d73
- updated mm-common version

* Fri Oct 21 2011 Robert Tomasik <rotom@pld-linux.org> cfa0c55
- up to 2.28.3

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> c6cd6d4
- drop libtool file
- rel. 2

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> ba5a4fb
- updated to 2.28.2
- added apidocs subpackage

* Sat May 15 2010 sparky <sparky@pld-linux.org> 1e1e54f
- release: 2 (STBR because .la needs refreshing - includes now
  useless -lreadline)

* Fri Dec 26 2008 Jakub Bogusz <qboosh@pld-linux.org> b42ed8b
- GConf2-libs is enough for base

* Mon Dec 22 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 71a72c9
- updated to 2.24.0

* Wed Apr 16 2008 Jakub Bogusz <qboosh@pld-linux.org> bc4d241
- ghost soname symlink

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> 8306824
- ver. 2.22.0

* Wed Nov 28 2007 tommat <tommat@pld-linux.org> 7de1aba
- BR gtkmm-devel

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1efd53f
- updated to 2.20.0

* Sat Mar 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 99d54f8
- updated to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7957583
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fa63ece
- converted to UTF-8

* Fri Dec 22 2006 Marcin Banasiak <marcin.banasiak@gmail.com> fb27210
- release 2

* Fri Aug 18 2006 freetz <freetz@pld-linux.org> 313efc3
- 2.16.0

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> 714e7b2
- rel.3, use HEAD deps

* Mon Aug 07 2006 Jakub Bogusz <qboosh@pld-linux.org> c6c81e1
- merged update to 2.14.2 from AC-branch

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 62de395
- merged deps update from AC-branch

